Method: projects.locations.collections.engines.assistants.cannedQueries.listActiveCannedQueryUserViews

列出所有有效 CannedQueryCannedQueryUserView

HTTP 要求

GET https://discoveryengine.googleapis.com/v1alpha/{parent=projects/*/locations/*/collections/*/engines/*/assistants/*}/cannedQueries:listActiveCannedQueryUserViews

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
parent

string

這是必要旗標,父項助理的資源名稱。格式:projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/assistants/{assistant}

查詢參數

參數
languageCode

string

(選用步驟) 罐頭查詢應傳回的語言代碼。如果未在此指定,或找不到對應的翻譯,系統就會傳回預設文字。

pageSize

integer

要傳回的 CannedQueryUserView 數量上限。如未指定,則預設為 100。允許的最大值為 1000;超出的數值將一律指定為 1000。

pageToken

string

屬於接收自前一個 CannedQueryService.ListActiveCannedQueryUserViews 呼叫的網頁權杖 ListActiveCannedQueryUserViewsResponse.next_page_token。提供此項目即可擷取後續網頁。

進行分頁時,提供至 CannedQueryService.ListActiveCannedQueryUserViews 的所有其他參數須與提供網頁權杖的呼叫相符。

要求主體

要求主體必須為空白。

回應主體

CannedQueryService.ListActiveCannedQueryUserViews 方法的回應訊息。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "cannedQueryUserViews": [
    {
      object (CannedQueryUserView)
    }
  ],
  "nextPageToken": string
}
欄位
cannedQueryUserViews[]

object (CannedQueryUserView)

代表有效 (現有、已啟用且符合功能條件) 罐頭查詢的 CannedQueryUserView

nextPageToken

string

可做為 ListActiveCannedQueryUserViewsRequest.page_token 傳送的權杖,用於擷取後續網頁。如果省略這個欄位,就不會有後續頁面。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.assist.readwrite

詳情請參閱Authentication Overview

CannedQueryUserView

提供足夠的 CannedQuery 相關資訊給使用者。

JSON 表示法
{
  "cannedQuery": string,
  "localizedTexts": {
    object (CannedQueryTexts)
  }
}
欄位
cannedQuery

string

CannedQuery 這個檢視區塊所屬的資源名稱。這會識別輔助要求中的罐頭查詢。

格式:projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/assistants/{assistant}/cannedQueries/{cannedQuery}

localizedTexts

object (CannedQueryTexts)

罐頭查詢的本地化文字。